DVBHTMLProxy

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.dvb.application
Interface DVBHTMLProxy

All Superinterfaces:
  AppProxy

    public interface DVBHTMLProxy

extends AppProxy

A `DVBHTMLProxy` Object is a proxy to a DVBHTML application.

Field Summary
`static int` | `KILLED` The application is in the killed state.
`static int` | `LOADING` The application is in the loading state.

Fields inherited from interface org.dvb.application.AppProxy
`DESTROYED, INVALID, NOT_LOADED, PAUSED, STARTED`

Method Summary
`void` | `prefetch()` Loads the initial entry page of the application and waits for a signal.
`void` | `startTrigger(Date starttime)` Sends the application a start trigger at the specified time.
`void` | `trigger(Date time, Object triggerPayload)` Sends the application a trigger with the given payload at the specified time.

Methods inherited from interface org.dvb.application.AppProxy
`addAppStateChangeEventListener, getState, pause, removeAppStateChangeEventListener, resume, start, start, stop`

Field Detail

### LOADING

    static final int LOADING

  The application is in the loading state.

  Since:
    MHP 1.0.2
  See Also:
    Constant Field Values

### KILLED

    static final int KILLED

  The application is in the killed state.

  Since:
    MHP 1.0.2
  See Also:
    Constant Field Values

Method Detail

### prefetch

    void prefetch()

  Loads the initial entry page of the application and waits for a signal. This method mimics the PREFETCH control code and is intended to be called instead of and not as well as start. Calling prefetch on a started application will have no effect.

  Throws:
    `SecurityException` - if the calling application does not have permission to start applications
  Since:
    MHP1.0

### startTrigger

    void startTrigger(Date starttime)

  Sends the application a start trigger at the specified time.

  Parameters:
    `starttime` - the specified time to send a start trigger to the application. If the time has already passed the application manager shall send the trigger immediately. Dates pre-epoch shall always cause the application manager to send the trigger immediately.
  Throws:
    `SecurityException` - if the calling application does not have permission to start applications
  Since:
    MHP1.0

### trigger

    void trigger(Date time,
                 Object triggerPayload)

  Sends the application a trigger with the given payload at the specified time.

  Parameters:
    `time` - the specified time to send a start trigger to the application. If the time has already passed the application manager should send the trigger immediately. Dates pre-epoch shall always cause the application manager to send a 'now' trigger.
    `triggerPayload` - the specified payload to deliver with the trigger. The payload is specified as object, but this will be refined once DVB-HTML Triggers are properly defined.
  Throws:
    `SecurityException` - if the calling application does not have permission to start applications
  Since:
    MHP1.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD